Package org.apache.cayenne.access.flush.operation

## Class Values

- java.lang.Object
- - org.apache.cayenne.access.flush.operation.Values

-     public class Values
      extends Object

  Collection of values that should be inserted or updated in DB.
  Since:
    4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Map<String,​Object>` | `attributeSnapshot` |
    `protected Map<String,​Object>` | `fkSnapshot` |
    `protected Map<String,​ObjectId>` | `flattenedIds` |
    `protected boolean` | `includeId` |
    `protected DbRowOp` | `row` |
    `protected List<DbAttribute>` | `updatedAttributes` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Values​(DbRowOp row, boolean includeId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFlattenedId​(String path, ObjectId id)` |
    `void` | `addValue​(DbAttribute attribute, Object value, boolean fk)` |
    `void` | `clear()` |
    `Map<String,​ObjectId>` | `getFlattenedIds()` |
    `Map<String,​Object>` | `getSnapshot()` |
    `List<DbAttribute>` | `getUpdatedAttributes()` |
    `boolean` | `isEmpty()` |
    `boolean` | `isSameBatch​(Values other)` |
    `void` | `merge​(Values other)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### row

          protected final DbRowOp row

    - #### includeId

          protected final boolean includeId

    - #### attributeSnapshot

          protected Map<String,​Object> attributeSnapshot

    - #### fkSnapshot

          protected Map<String,​Object> fkSnapshot

    - #### updatedAttributes

          protected List<DbAttribute> updatedAttributes

    - #### flattenedIds

          protected Map<String,​ObjectId> flattenedIds

  - ### Constructor Detail

    - #### Values

          public Values​(DbRowOp row,
                        boolean includeId)

  - ### Method Detail

    - #### addValue

          public void addValue​(DbAttribute attribute,
                               Object value,
                               boolean fk)

    - #### merge

          public void merge​(Values other)

    - #### addFlattenedId

          public void addFlattenedId​(String path,
                                     ObjectId id)

    - #### getSnapshot

          public Map<String,​Object> getSnapshot()

    - #### getUpdatedAttributes

          public List<DbAttribute> getUpdatedAttributes()

    - #### getFlattenedIds

          public Map<String,​ObjectId> getFlattenedIds()

    - #### isEmpty

          public boolean isEmpty()

    - #### clear

          public void clear()

    - #### isSameBatch

          public boolean isSameBatch​(Values other)